[Buildroot] [PATCH] package/systemd: needs glibc

Peter Korsgaard peter at korsgaard.com
Thu Nov 22 16:19:43 UTC 2018


>>>>> "Yann" == Yann E MORIN <yann.morin.1998 at free.fr> writes:

 > Since version v239, systemd-nspawn unconditioanlly uses prlimit(2),
 > which is not implemented in uClibc-ng. systemd-nspawn can not be
 > disabled.

 > This makes systemd glibc-only again.

 > After a bit of discussion with upstream (om IRC), it looks very
 > improbable that they accept a patch making systemd-nspawn optional.
 > They would probably consider a patch that provides that syscall wrapper
 > if it is missing, though, but that's less trivial...

 > Signed-off-by: "Yann E. MORIN" <yann.morin.1998 at free.fr>
 > Cc: Waldemar Brodkorb <wbx at openadk.org>
 > Cc: Thomas Petazzoni <thomas.petazzoni at bootlin.com>
 > Cc: Peter Korsgaard <peter at korsgaard.com>

So this has been broken since end of June? How come we don't have any
autobuilder failures?

Committed, thanks.

-- 
Bye, Peter Korsgaard


More information about the buildroot mailing list